Package com.independentsoft.graph.teams

# Class DeviceInfo

java.lang.Object
com.independentsoft.graph.teams.DeviceInfo

public class DeviceInfo extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeviceInfo()`
  `DeviceInfo​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCaptureDeviceDriver()`
  `String`
  `getCaptureDeviceName()`
  `float`
  `getCpuInsufficentEventRatio()`
  `float`
  `getDeviceClippingEventRatio()`
  `float`
  `getDeviceGlitchEventRatio()`
  `int`
  `getHowlingEventCount()`
  `float`
  `getInitialSignalLevelRootMeanSquare()`
  `float`
  `getLowSpeechLevelEventRatio()`
  `float`
  `getLowSpeechToNoiseEventRatio()`
  `float`
  `getMicGlitchRate()`
  `float`
  `getReceivedNoiseLevel()`
  `float`
  `getReceivedSignalLevel()`
  `String`
  `getRenderDeviceDriver()`
  `String`
  `getRenderDeviceName()`
  `float`
  `getRenderMuteEventRatio()`
  `float`
  `getRenderNotFunctioningEventRatio()`
  `float`
  `getRenderZeroVolumeEventRatio()`
  `float`
  `getSentSignalLevel()`
  `float`
  `getSpeakerGlitchRate()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeviceInfo

    public DeviceInfo()

  - ### DeviceInfo

    public DeviceInfo​(JsonObject jsonObject)

- ## Method Details

  - ### getCaptureDeviceName

    public String getCaptureDeviceName()

  - ### getCaptureDeviceDriver

    public String getCaptureDeviceDriver()

  - ### getRenderDeviceName

    public String getRenderDeviceName()

  - ### getRenderDeviceDriver

    public String getRenderDeviceDriver()

  - ### getSentSignalLevel

    public float getSentSignalLevel()

  - ### getReceivedSignalLevel

    public float getReceivedSignalLevel()

  - ### getMicGlitchRate

    public float getMicGlitchRate()

  - ### getSpeakerGlitchRate

    public float getSpeakerGlitchRate()

  - ### getCpuInsufficentEventRatio

    public float getCpuInsufficentEventRatio()

  - ### getDeviceClippingEventRatio

    public float getDeviceClippingEventRatio()

  - ### getDeviceGlitchEventRatio

    public float getDeviceGlitchEventRatio()

  - ### getHowlingEventCount

    public int getHowlingEventCount()

  - ### getInitialSignalLevelRootMeanSquare

    public float getInitialSignalLevelRootMeanSquare()

  - ### getLowSpeechLevelEventRatio

    public float getLowSpeechLevelEventRatio()

  - ### getLowSpeechToNoiseEventRatio

    public float getLowSpeechToNoiseEventRatio()

  - ### getReceivedNoiseLevel

    public float getReceivedNoiseLevel()

  - ### getRenderMuteEventRatio

    public float getRenderMuteEventRatio()

  - ### getRenderNotFunctioningEventRatio

    public float getRenderNotFunctioningEventRatio()

  - ### getRenderZeroVolumeEventRatio

    public float getRenderZeroVolumeEventRatio()